"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class PopulationFrequency(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "altAllele",
        "altAlleleFreq",
        "population",
        "refAllele",
        "refAlleleFreq",
        "study",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_5_0_0 import opencb as opencb_1_3_0

        return {
            "org.opencb.biodata.models.variant.avro.PopulationFrequency": opencb_1_3_0.PopulationFrequency,
        }

    __slots__ = [
        "altAllele",
        "altAlleleFreq",
        "population",
        "refAllele",
        "refAlleleFreq",
        "study",
        "altHomGenotypeFreq",
        "hetGenotypeFreq",
        "refHomGenotypeFreq",
    ]

    def __init__(
        self,
        altAllele,
        altAlleleFreq,
        population,
        refAllele,
        refAlleleFreq,
        study,
        altHomGenotypeFreq=None,
        hetGenotypeFreq=None,
        refHomGenotypeFreq=None,
        validate=None,
        **kwargs
    ):
        """Initialise the opencb_1_3_0.PopulationFrequency model.

        :param altAllele:
        :type altAllele: str
        :param altAlleleFreq:
        :type altAlleleFreq: float
        :param population:
        :type population: str
        :param refAllele:
        :type refAllele: str
        :param refAlleleFreq:
        :type refAlleleFreq: float
        :param study:
        :type study: str
        :param altHomGenotypeFreq:
        :type altHomGenotypeFreq: None | float
        :param hetGenotypeFreq:
        :type hetGenotypeFreq: None | float
        :param refHomGenotypeFreq:
        :type refHomGenotypeFreq: None | float
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.3.0-SNAPSHOT"
